import javax.swing.*;
import java.awt.*;

public class Alu extends javax.swing.JFrame {

    //LE DUE PAROLE DA 8 BIT SULLE QUALI EFFETTUARE LE OPERAZIONI.
    private String byteA,byteB;
    /*QUESTA È LA MATRICE CONTENTE GLI INDIRIZZI DELLE IMMAGINI NECESSARIE PER L'ANIMAZIONE.
      ESSA È STRUTTURATA NEL SEGUENTE MODO: OGNI RIGA CONTIENE 5 INDIRIZZI RELATIVI ALLE
      IMMAGINI CHE FORMANO IL CIRCUITO DELLA ALU A 1 BIT.
      PER DISTINGUERE FRA LA VARIE ANIMAZIONI DELLE 8 ALU LA RIGA DOPO L'ULTIMA SEQUENZA
      DELLA SINGOLA ALU CONTIENE UN * ALLA COLONNA 0.*/
    private String[][] sequence;
    //L'INDICE DELLA RIGA DELLA MATRICE DELLE SEQUENZE ALLA QUALE ATTUALMENTE MI TROVO.
    private int sequenceIndex;
    //IL NUMERO DI RIGHE DELLA MATRICE DELLE SEQUENZE. ESSO È DATO DAL NUMERO DI RIGHE -1
    //DATO CHE DEVO ESCLUDERE L'ULTIMA RIGA CONTENTE UN ASTERISCO INUTILE.
    private int sequenceLength;
    //L'INDICE DELLA ALU A 1 BIT DELLA QUALE STO ATTUALMENTE CALCOLANDO LA FUNZIONE.
    private int aluIndex;
    private JLabel[] alu8,out;

    public Alu() {
        initComponents();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        lblNumAlu = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLayeredPane1 = new javax.swing.JLayeredPane();
        alu1 = new javax.swing.JLabel();
        alu2 = new javax.swing.JLabel();
        alu3 = new javax.swing.JLabel();
        alu4 = new javax.swing.JLabel();
        alu6 = new javax.swing.JLabel();
        alu5 = new javax.swing.JLabel();
        alu7 = new javax.swing.JLabel();
        alu0 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        O0 = new javax.swing.JLabel();
        lblCO = new javax.swing.JLabel();
        O6 = new javax.swing.JLabel();
        O5 = new javax.swing.JLabel();
        O4 = new javax.swing.JLabel();
        O3 = new javax.swing.JLabel();
        O2 = new javax.swing.JLabel();
        O1 = new javax.swing.JLabel();
        O7 = new javax.swing.JLabel();
        head = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jLabel36 = new javax.swing.JLabel();
        jLabel37 = new javax.swing.JLabel();
        jLabel38 = new javax.swing.JLabel();
        jLabel39 = new javax.swing.JLabel();
        jLayeredPane2 = new javax.swing.JLayeredPane();
        lblLogic = new javax.swing.JLabel();
        lblOut = new javax.swing.JLabel();
        lblSum = new javax.swing.JLabel();
        lblDec = new javax.swing.JLabel();
        lblOther = new javax.swing.JLabel();
        lblLogic1 = new javax.swing.JLabel();
        cmdStart = new javax.swing.JButton();
        jLabel43 = new javax.swing.JLabel();
        cmbFunction = new javax.swing.JComboBox();
        cmdReset = new javax.swing.JButton();
        cmdNext = new javax.swing.JButton();
        cmdPrev = new javax.swing.JButton();
        txtA = new javax.swing.JTextField();
        lblNumAlu2 = new javax.swing.JLabel();
        txtB = new javax.swing.JTextField();
        lblNumAlu3 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("VISUAL 8b v1.0");
        setBackground(java.awt.Color.white);
        setResizable(false);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowOpened(java.awt.event.WindowEvent evt) {
                formWindowOpened(evt);
            }
        });

        jPanel1.setBackground(java.awt.Color.white);
        jPanel1.setPreferredSize(new java.awt.Dimension(0, 0));

        jLabel4.setFont(new java.awt.Font("Ubuntu", 1, 24));
        jLabel4.setText("VISUAL 8b");

        lblNumAlu.setFont(new java.awt.Font("Ubuntu", 1, 18));
        lblNumAlu.setText("ALU n: -");

        jLabel17.setFont(new java.awt.Font("Ubuntu", 1, 10));
        jLabel17.setText("Visualizzatore Interattivo Simulatore Unità Aritmetico Logica a 8 bit");

        jLayeredPane1.setBackground(java.awt.Color.white);
        jLayeredPane1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 0), 2, true));
        jLayeredPane1.setOpaque(true);

        alu1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu1.setBounds(280, 10, 40, 100);
        jLayeredPane1.add(alu1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu2.setBounds(240, 10, 60, 100);
        jLayeredPane1.add(alu2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu3.setBounds(200, 10, 60, 100);
        jLayeredPane1.add(alu3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu4.setBounds(160, 10, 60, 100);
        jLayeredPane1.add(alu4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu6.setName(""); // NOI18N
        alu6.setBounds(80, 10, 40, 100);
        jLayeredPane1.add(alu6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu5.setBounds(120, 10, 70, 100);
        jLayeredPane1.add(alu5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu7.setBackground(java.awt.Color.white);
        alu7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu7.setOpaque(true);
        alu7.setBounds(40, 10, 44, 100);
        jLayeredPane1.add(alu7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu0.setIcon(new javax.swing.ImageIcon(getClass().getResource("/t000000.00.0.png"))); // NOI18N
        alu0.setMaximumSize(new java.awt.Dimension(44, 90));
        alu0.setMinimumSize(new java.awt.Dimension(44, 90));
        alu0.setPreferredSize(new java.awt.Dimension(44, 90));
        alu0.setBounds(320, 10, 60, 100);
        jLayeredPane1.add(alu0, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel8.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel8.setText("0");
        jLabel8.setBounds(340, 70, 10, 20);
        jLayeredPane1.add(jLabel8, javax.swing.JLayeredPane.PALETTE_LAYER);
        jLabel8.getAccessibleContext().setAccessibleName("INC");

        jLabel10.setFont(new java.awt.Font("Ubuntu", 0, 6));
        jLabel10.setText("F1");
        jLabel10.setBounds(120, 150, 6, 8);
        jLayeredPane1.add(jLabel10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O0.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O0.setText("0");
        O0.setBounds(340, 110, 9, 20);
        jLayeredPane1.add(O0, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblCO.setFont(new java.awt.Font("Ubuntu", 1, 16));
        lblCO.setText("0");
        lblCO.setBounds(20, 70, 9, 20);
        jLayeredPane1.add(lblCO, javax.swing.JLayeredPane.PALETTE_LAYER);

        O6.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O6.setText("0");
        O6.setBounds(100, 110, 10, 20);
        jLayeredPane1.add(O6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O5.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O5.setText("0");
        O5.setBounds(140, 110, 9, 20);
        jLayeredPane1.add(O5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O4.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O4.setText("0");
        O4.setBounds(180, 110, 9, 20);
        jLayeredPane1.add(O4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O3.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O3.setText("0");
        O3.setBounds(220, 110, 10, 20);
        jLayeredPane1.add(O3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O2.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O2.setText("0");
        O2.setBounds(260, 110, 9, 20);
        jLayeredPane1.add(O2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O1.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O1.setText("0");
        O1.setBounds(300, 110, 10, 20);
        jLayeredPane1.add(O1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O7.setFont(new java.awt.Font("Ubuntu", 1, 16));
        O7.setText("0");
        O7.setBounds(60, 110, 9, 20);
        jLayeredPane1.add(O7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/h000000.0.png"))); // NOI18N
        head.setBounds(30, 10, 12, 100);
        jLayeredPane1.add(head, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel9.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel9.setText("INC");
        jLabel9.setBounds(370, 80, 20, 10);
        jLayeredPane1.add(jLabel9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel11.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel11.setText("B0");
        jLabel11.setBounds(350, 10, 20, 10);
        jLayeredPane1.add(jLabel11, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel12.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel12.setText("ENA");
        jLabel12.setBounds(10, 30, 20, 10);
        jLayeredPane1.add(jLabel12, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel13.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel13.setText("ENB");
        jLabel13.setBounds(10, 40, 20, 10);
        jLayeredPane1.add(jLabel13, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel14.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel14.setText("F0");
        jLabel14.setBounds(10, 50, 20, 10);
        jLayeredPane1.add(jLabel14, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel15.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel15.setText("F1");
        jLabel15.setBounds(10, 60, 20, 10);
        jLayeredPane1.add(jLabel15, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel16.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel16.setText("7");
        jLabel16.setBounds(60, 70, 10, 20);
        jLayeredPane1.add(jLabel16, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel18.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel18.setText("6");
        jLabel18.setBounds(100, 70, 10, 20);
        jLayeredPane1.add(jLabel18, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel19.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel19.setText("5");
        jLabel19.setBounds(140, 70, 10, 20);
        jLayeredPane1.add(jLabel19, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel20.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel20.setText("4");
        jLabel20.setBounds(180, 70, 10, 20);
        jLayeredPane1.add(jLabel20, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel21.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel21.setText("3");
        jLabel21.setBounds(220, 70, 10, 20);
        jLayeredPane1.add(jLabel21, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel22.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel22.setText("2");
        jLabel22.setBounds(260, 70, 10, 20);
        jLayeredPane1.add(jLabel22, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel23.setFont(new java.awt.Font("Ubuntu", 0, 9));
        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel23.setText("1");
        jLabel23.setBounds(300, 70, 10, 20);
        jLayeredPane1.add(jLabel23, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel24.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel24.setText("INVA");
        jLabel24.setBounds(10, 20, 20, 10);
        jLayeredPane1.add(jLabel24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel25.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel25.setText("A7");
        jLabel25.setBounds(60, 0, 20, 20);
        jLayeredPane1.add(jLabel25, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel26.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel26.setText("A6");
        jLabel26.setBounds(100, 0, 20, 20);
        jLayeredPane1.add(jLabel26, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel27.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel27.setText("A5");
        jLabel27.setBounds(140, 0, 20, 20);
        jLayeredPane1.add(jLabel27, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel28.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel28.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel28.setText("A4");
        jLabel28.setBounds(180, 0, 20, 20);
        jLayeredPane1.add(jLabel28, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel29.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel29.setText("A3");
        jLabel29.setBounds(220, 0, 20, 20);
        jLayeredPane1.add(jLabel29, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel30.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel30.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel30.setText("A2");
        jLabel30.setBounds(260, 0, 20, 20);
        jLayeredPane1.add(jLabel30, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel31.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel31.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel31.setText("A1");
        jLabel31.setBounds(300, 0, 20, 20);
        jLayeredPane1.add(jLabel31, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel32.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel32.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel32.setText("A0");
        jLabel32.setBounds(340, 0, 20, 20);
        jLayeredPane1.add(jLabel32, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel33.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel33.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel33.setText("B7");
        jLabel33.setBounds(70, 10, 20, 10);
        jLayeredPane1.add(jLabel33, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel34.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel34.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel34.setText("B6");
        jLabel34.setBounds(110, 10, 20, 10);
        jLayeredPane1.add(jLabel34, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel35.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel35.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel35.setText("B5");
        jLabel35.setBounds(150, 10, 20, 10);
        jLayeredPane1.add(jLabel35, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel36.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel36.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel36.setText("B4");
        jLabel36.setBounds(190, 10, 20, 10);
        jLayeredPane1.add(jLabel36, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel37.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel37.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel37.setText("B3");
        jLabel37.setBounds(230, 10, 20, 10);
        jLayeredPane1.add(jLabel37, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel38.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel38.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel38.setText("B2");
        jLabel38.setBounds(270, 10, 20, 10);
        jLayeredPane1.add(jLabel38, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel39.setFont(new java.awt.Font("Ubuntu", 0, 8));
        jLabel39.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel39.setText("B1");
        jLabel39.setBounds(310, 10, 20, 10);
        jLayeredPane1.add(jLabel39, javax.swing.JLayeredPane.PALETTE_LAYER);

        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource("/l00000.0.png"))); // NOI18N
        lblLogic.setBounds(0, 0, 180, 106);
        jLayeredPane2.add(lblLogic, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource("/o00000.0.png"))); // NOI18N
        lblOut.setBounds(170, -30, 120, 170);
        jLayeredPane2.add(lblOut, javax.swing.JLayeredPane.PALETTE_LAYER);

        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource("/a0000.0.png"))); // NOI18N
        lblSum.setBounds(140, 100, 140, 190);
        jLayeredPane2.add(lblSum, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/d00.0.png"))); // NOI18N
        lblDec.setBounds(0, 140, 170, 140);
        jLayeredPane2.add(lblDec, javax.swing.JLayeredPane.PALETTE_LAYER);

        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource("/r00100.0.png"))); // NOI18N
        lblOther.setBounds(0, 100, 150, 50);
        jLayeredPane2.add(lblOther, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblLogic1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/l00000.0.png"))); // NOI18N
        lblLogic1.setBounds(0, 0, 180, 106);
        jLayeredPane2.add(lblLogic1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        cmdStart.setText("Avvia simulazione");
        cmdStart.setEnabled(false);
        cmdStart.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdStartActionPerformed(evt);
            }
        });

        jLabel43.setFont(new java.awt.Font("Ubuntu", 1, 18));
        jLabel43.setText("Seleziona funzione :");

        cmbFunction.setModel(new javax.swing.DefaultComboBoxModel(new String[] { " ", "A", "B", "not A", "not B", "A+B", "A+B+1", "A+1", "B+1", "B-A", "B-1", "-A", "A and B", "A or B", "0", "1", "-1" }));
        cmbFunction.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmbFunctionActionPerformed(evt);
            }
        });

        cmdReset.setText("Resetta simulatore");
        cmdReset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdResetActionPerformed(evt);
            }
        });

        cmdNext.setText("Avanti >");
        cmdNext.setEnabled(false);
        cmdNext.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdNextActionPerformed(evt);
            }
        });

        cmdPrev.setText("< Indietro");
        cmdPrev.setEnabled(false);
        cmdPrev.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdPrevActionPerformed(evt);
            }
        });

        txtA.setColumns(8);

        lblNumAlu2.setFont(new java.awt.Font("Ubuntu", 1, 18));
        lblNumAlu2.setText("A :");

        txtB.setColumns(8);

        lblNumAlu3.setFont(new java.awt.Font("Ubuntu", 1, 18));
        lblNumAlu3.setText("B :");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(188, 188, 188)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(112, 112, 112)
                                .addComponent(jLabel4))
                            .addComponent(jLabel17)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(jLayeredPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 291, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(37, 37, 37)
                                .addComponent(lblNumAlu)))
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 401, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(cmdPrev)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(cmdNext))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(cmdStart)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(cmdReset))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabel43)
                                        .addGap(3, 3, 3)
                                        .addComponent(cmbFunction, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addComponent(lblNumAlu2)
                                .addGap(3, 3, 3)
                                .addComponent(txtA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lblNumAlu3)
                                .addGap(3, 3, 3)
                                .addComponent(txtB, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(6, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel4)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel17)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(11, 11, 11)
                        .addComponent(lblNumAlu)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLayeredPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 288, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(txtA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblNumAlu2)
                            .addComponent(txtB, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblNumAlu3))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 138, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(6, 6, 6)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel43)
                            .addComponent(cmbFunction, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(3, 3, 3)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(cmdStart)
                            .addComponent(cmdReset))
                        .addGap(10, 10, 10)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(cmdPrev)
                            .addComponent(cmdNext))))
                .addGap(213, 213, 213))
        );

        jScrollPane1.setViewportView(jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 724, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 395, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void formWindowOpened(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowOpened
        loadElements();

    }//GEN-LAST:event_formWindowOpened

    private void cmdStartActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdStartActionPerformed
        runFunction();
    }//GEN-LAST:event_cmdStartActionPerformed

    private void cmdResetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdResetActionPerformed
       reset();
    }//GEN-LAST:event_cmdResetActionPerformed

    private void cmdPrevActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdPrevActionPerformed
        if(sequenceIndex>0)
            paintSequence(-1);
        else
            cmdPrev.setEnabled(false);
        cmdNext.setEnabled(true);
    }//GEN-LAST:event_cmdPrevActionPerformed

    private void cmdNextActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdNextActionPerformed
         if(sequenceIndex<sequenceLength)
            paintSequence(1);
        else
            cmdNext.setEnabled(false);
        cmdPrev.setEnabled(true);
    }//GEN-LAST:event_cmdNextActionPerformed

    private void cmbFunctionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmbFunctionActionPerformed
         if(!cmbFunction.getSelectedItem().equals(" ")){
            loadFunction();
            cmdStart.setEnabled(true);
        }
        else cmdStart.setEnabled(false);
    }//GEN-LAST:event_cmbFunctionActionPerformed

    private void loadElements(){
        //PER OTTENERE UN CODICE PIÙ PULITO, COMPATTO E SEMPLICE, CARICO I RIFERIMENTI AI LABEL
        //DELLE ALU, A QUELLI DI INPUT E A QUELLI DI OUTPUT IN DEGLI ARRAY.
        alu8=new JLabel[8];
        alu8[0]=alu0;alu8[1]=alu1;alu8[2]=alu2;alu8[3]=alu3;alu8[4]=alu4;alu8[5]=alu5;alu8[6]=alu6;alu8[7]=alu7;
        out=new JLabel[8];
        out[0]=O0;out[1]=O1;out[2]=O2;out[3]=O3;out[4]=O4;out[5]=O5;out[6]=O6;out[7]=O7;
    }

    private boolean checkByte(String _str){
        if(_str.length()==8){
            for(int i=0;i<8;i++){
                if(_str.charAt(i)!='0' && _str.charAt(i)!='1')
                    return false;
            }
            return true;
        }
        return false;
    }

    private void loadFunction(){
        //QUESTA PROCEDURA CARICA LA FUNZIONE SELEZIONATA DALL'APPOSITA LISTBOX
        //ED AGGIORNA LE IMMAGINI DELLA ALU A 8 BIT IN BASE ALLA FUNZIONE SCELTA.
        String fcode="";
        //CARICO LE DUE PAROLE.
        byteA=txtA.getText();
        byteB=txtB.getText();
        if(checkByte(byteA) && checkByte(byteB)){
            txtA.setEnabled(false);
            txtB.setEnabled(false);
            //CARICO IL CODICE DELLA FUNZIONE.
            switch (cmbFunction.getSelectedIndex()){
                case 1:fcode="011000.";break;
                case 2:fcode="010100.";break;
                case 3:fcode="011010.";break;
                case 4:fcode="101100.";break;
                case 5:fcode="111100.";break;
                case 6:fcode="111101.";break;
                case 7:fcode="111001.";break;
                case 8:fcode="110101.";break;
                case 9:fcode="111111.";break;
                case 10:fcode="110110.";break;
                case 11:fcode="111011.";break;
                case 12:fcode="001100.";break;
                case 13:fcode="011100.";break;
                case 14:fcode="010000.";break;
                case 15:fcode="110001.";break;
                case 16:fcode="110010.";break;
            }
            //SETTO LA NUOVE IMMAGINI DELLE ALU.
            alu8[0].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/t"+fcode+byteA.charAt(7)+byteB.charAt(7)+".0.png")));
            if(fcode.equals("111101.")) fcode="111100.";
            alu8[1].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(6)+byteB.charAt(6)+".0.png")));
            alu8[2].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(5)+byteB.charAt(5)+".0.png")));
            alu8[3].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(4)+byteB.charAt(4)+".0.png")));
            alu8[4].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(3)+byteB.charAt(3)+".0.png")));
            alu8[5].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(2)+byteB.charAt(2)+".0.png")));
            alu8[6].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(1)+byteB.charAt(1)+".0.png")));
            alu8[7].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(0)+byteB.charAt(0)+".0.png")));
            head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/h"+fcode+"0.png")));
        }
        else
            JOptionPane.showMessageDialog(rootPane,"Prima di caricare la funzione inserisci 2 byte corretti","Errore",JOptionPane.WARNING_MESSAGE);
    }

    private void runFunction() {
        //QUESTA PROCEDURA ESEGUE TUTTE LE OPERAZIONI NECESSARIE AL CARICAMENTO
        //DEGLI INIDRIZZI DELLE IMMAGINI SULLA MATRICE DELLE SEQUENZE E ALL'AVVIO DELL'ANIMAZIONE.

        //CARICO LE DUE PAROLE A 8 BIT
        byteA=txtA.getText();
        byteB=txtB.getText();
        //INIZIALIZZO GLI INDICI DI SEQUENZA E QUELLO DI ALU
        sequenceIndex=0;
        aluIndex=0;
        //IN BASE ALLA FUNZIONE SELEZIONATA CHIAMO LA RELATIVA FUNZIONE CHE CARICA
        //GLI INDIRIZZI DELLE IMMAGINI NECESSARIE.
        switch(cmbFunction.getSelectedIndex()){
            case 1:loadA();break;
            case 2:loadB();break;
            case 3:loadNotA();break;
            case 4:loadNotB();break;
            case 5:loadAdd(false);break;
            case 6:loadAdd(true);break;
            case 7:loadAddA1();break;
            case 8:loadAddB1();break;
            case 9:loadBSubA();break;
            case 10:loadSubB1();break;
            case 11:loadSubA();break;
            case 12:loadAnd();break;
            case 13:loadOr();break;
            case 14:load0();break;
            case 15:load1();break;
            case 16:loadSub1();break;
        }
        //DISABILITO TUTTI I CONTROLLI CHE POTREBBERO GENERARE PROBLEMI SE USATI
        //DURANTE LA FASE DI ESECUZIONE DELL'ANIMAZIONE.
        cmdStart.setEnabled(false);
        cmbFunction.setEnabled(false);
        //L'ANIMAZIONE È QUINDI CARICATA E POSSO ABILITARE IL PULSANTE PER MANDARLA AVANTI.
        cmdNext.setEnabled(true);
    }

    private void loadOr(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01101.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="/l00111.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadAnd(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.7.png";
                sequence[k][1]="/o01000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.7.png";
                sequence[k][1]="/o01000.1.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadAdd(boolean _add1){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(k>1 && sequence[k-2][1]!=null || (i==7 && _add1)){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;                  
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01101.7.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l01111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01101.7.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l01111.9.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l01111.9.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadBSubA(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadAddA1(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01100.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01110.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadAddB1(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l01011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadSubB1(){
       sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(k>1 && sequence[k-2][1]!=null){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadA(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00100.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01100.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01100.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01100.6.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01100.6.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00110.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01110.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01110.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01110.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01110.6.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01110.6.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadB(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00001.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01001.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00011.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00011.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00011.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01011.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01011.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01011.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01011.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadNotA(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l10100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l10100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l10100.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l10100.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l10100.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l11100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l10110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l10110.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l10110.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l10110.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l10110.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l11110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadNotB(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.4.png";
                sequence[k][1]="/o00010.0.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.4.png";
                sequence[k][1]="/o00010.1.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.9.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.10.png";
                sequence[k][1]="/o00010.0.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.10.png";
                sequence[k][1]="/o00010.1.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.10.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.11.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadSubA(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                     sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void load0(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void load1(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(i==7){
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.0.png";
                sequence[k][4]="/a1000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.1.png";
                sequence[k][4]="/a1000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.1.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10001.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.2.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10001.1.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a0001.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadSub1(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d11.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.1.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10100.0.png";
            sequence[k][3]="/d11.1.png";
            sequence[k][4]="/a0010.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.1.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.2.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00001.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.3.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00001.1.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.3.png";
            k++;
            sequence[k][0]="*";
            k++;
        }
        sequenceLength=k-2;
    }

    private void paintSequence(int _offset){
        //QUESTA PROCEDURA SI OCCUPA DI ESEGUIRE QUANTO DESCRITTO NEL VETTORE DELLE
        //SEQUENZE (CIOÈ LE IMMAGINI CHE DI VOLTA IN VOLTA SI DEVONO ALTERNARE),
        //CIOÈ CARICA LE IMMAGINI INDICATE NEI GIUSTI LABEL.

        String newCode;

        //INCREMENTO L'INDICE DI SEQUENZA DI UN OFFSET CHE PUÒ ESSERE 1 O -1,
        //A SECONDA CHE SI SIA PREMUTO IL TASTO AVANTI O INDIETRO.
        sequenceIndex+=_offset;
        //SE SI TRATTAVA DELL'ULTIMA SEQUENZA DELL'ALU CORRENTE
        if(sequence[sequenceIndex][0].equals("*")){
            //IN BASE AL VALORE DELL'OFFSET INCREMENTO O DECREMENTO L'INDICE DELLA ALU
            if(_offset==1)
                aluIndex++;
            else
                aluIndex--;
            //E DI NUOVO SOMMO L'OFFSET ALL'INDICE DI SEQUENZA PER OTTENERE LA SEQUENZA SUCCESSIVA
            sequenceIndex+=_offset;
        }
        //AGGIORNO LE IMMAGINI DI TUTTI I VARI LABEL DELLA ALU A 1 BIT
        lblNumAlu.setText("ALU n: "+aluIndex);
        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][0])));
        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][1])));
        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][2])));
        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][3])));
        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][4])));

        //QUESTA VARIABILE INDICA SE L'ALU CORRENTE PRODUCE UN RIPORTO IN USCITA
        boolean inc=sequence[sequenceIndex+1][0].equals("*") && sequence[sequenceIndex+1][1]!=null;
        //SE L'ULTIMO NUMERO DEL CODICE IDENTIFICATIVO DELL'IMMAGINE CONTENTE IL PEZZO DI ALU RELATIVO
        //ALL'OUTPUT (CHE È 0 SE L'OUTPUT È 0 ED 1 IN CASO CONTRARIO) È 1, ALLORA AGGIORNO L'IMMAGINE
        //DELLA ALU A 8 BIT
        if(sequence[sequenceIndex][1].charAt(sequence[sequenceIndex][1].length()-5)=='1'){           
            //CARICO IL CODICE DELLA ALU CORRENTE
            newCode=alu8[aluIndex].getIcon().toString();
            //LO MODIFICO OTTENDO LE SECONDA IMMAGINE DELL'ANIMAZIONE
            newCode=newCode.substring(newCode.length()-16,newCode.length()-5)+"1.png";
            //AGGIORNO L'IMMAGINE
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            //AGGIORNO IL LABEL CON L'OUTPUT
            out[aluIndex].setText("1");

            //ESSENDO LE IMMAGINI DELLE ALU NOMINATE IN BASE AGLI EFFETTIVI VALORI DI INPUT,
            //E DATO CHE VI SONO FUNZIONI IN CUI SI HANNO ALLO STESSO TEMPO SIA ALU CON RIPORTO
            //IN USCITA CHE SENZA, E QUINDI ALU CON RIPORTO IN ENTRATA CHE SENZA, È NECESSARIO
            //MODIFICARE L'IMMAGINE E QUINDI IL CODICE DELLA ALU.

            //SE HO UN RIPORTO IN USCITA
            if(inc){
                //SE NON È L'ULTIMA ALU
                if(aluIndex!=7){
                    //AGGIORNO IL CODICE DELLA ALU SUCCESSIVA IMPOSTANDO IL BIT INC A 1.
                    newCode=alu8[aluIndex+1].getIcon().toString();
                    newCode=newCode.substring(newCode.length()-16,newCode.length()-10)+"1"+newCode.substring(newCode.length()-9,newCode.length());
                    alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
                }
                //ALTRIMENTI SETTO IL LABEL CARRIED OUT A 1.
                else
                    lblCO.setText("1");
            }
            //VI SONO ANCHE ALCUNE FUNZIONI IN CUI VA FATTO IL LAVORO INVERSO CIOÈ SETTARE IL BIT INC A 0.
            else if((newCode.substring(1,7).equals("111111") && sequence[sequenceIndex][4].charAt(2)=='0')||
                    (newCode.substring(1,7).equals("111011") && sequence[sequenceIndex][4].charAt(2)=='1')){
                newCode=alu8[aluIndex+1].getIcon().toString();
                newCode=newCode.substring(newCode.length()-16,newCode.length());
                newCode=newCode.substring(0,6)+"0"+newCode.substring(7,newCode.length());
                alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            }
        }
        //SE HO SOLO IL RIPORTO IN USCITA
        else if(inc){
            newCode=alu8[aluIndex].getIcon().toString();
            newCode=newCode.substring(newCode.length()-16,newCode.length());
            if(newCode.substring(1,7).equals("111111") && sequence[sequenceIndex][4].charAt(2)=='0')
                newCode=newCode.substring(0,6)+"0"+newCode.substring(7,newCode.length());
            newCode=newCode.substring(0,newCode.length()-5)+"1.png";
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            if(aluIndex!=7){
                newCode=alu8[aluIndex+1].getIcon().toString();
                newCode=newCode.substring(newCode.length()-16,newCode.length()-10)+"1"+newCode.substring(newCode.length()-9,newCode.length());
                alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            }
            else
                lblCO.setText("1");
        }
        //DEVO PREVEDERE ANCHE IL CASO IN CUI L'OUTPUT È 0, PERCHÉ NEL CASO IN CUI
        //ANDASSI A RITROSO NELLE SEQUENZA SE VI SONO ALU CON OUTPUT 1, ESSE DEVONO
        //TORNARE ALLO STATO DI PARTENZA.
        else{        
            newCode=alu8[aluIndex].getIcon().toString();
            newCode=newCode.substring(newCode.length()-16,newCode.length()-5)+"0.png";
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            out[aluIndex].setText("0");
        }
    }

    private void reset(){
        //QUESTA PROCEDURA RESETTA TUTTI I VALORI E LO STATUS DEI CONTROLLI A
        //QUELLO DI AVVIO DEL PROGRAMMA.
        byteA=null;
        byteB=null;
        sequence=null;
        sequenceIndex=0;
        txtA.setText("");
        txtA.setEnabled(true);
        txtB.setText("");
        txtB.setEnabled(true);
        cmbFunction.setSelectedIndex(0);
        alu8[0].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/t000000.00.0.png")));
        for(int i=1;i<8;i++)
            alu8[i].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s000000.00.0.png")));
        head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/h000000.0.png")));
        for(int i=0;i<8;i++)
                out[i].setText("0");
        lblNumAlu.setText("ALU n: -");
        lblCO.setText("0");
        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/l00000.0.png")));
        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/o00000.0.png")));
        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/r00100.0.png")));
        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/d00.0.png")));
        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/a0000.0.png")));
        cmdStart.setEnabled(false);
        cmdPrev.setEnabled(false);
        cmdNext.setEnabled(false);
        cmbFunction.setEnabled(true);
    }

    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Alu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel O0;
    private javax.swing.JLabel O1;
    private javax.swing.JLabel O2;
    private javax.swing.JLabel O3;
    private javax.swing.JLabel O4;
    private javax.swing.JLabel O5;
    private javax.swing.JLabel O6;
    private javax.swing.JLabel O7;
    private javax.swing.JLabel alu0;
    private javax.swing.JLabel alu1;
    private javax.swing.JLabel alu2;
    private javax.swing.JLabel alu3;
    private javax.swing.JLabel alu4;
    private javax.swing.JLabel alu5;
    private javax.swing.JLabel alu6;
    private javax.swing.JLabel alu7;
    private javax.swing.JComboBox cmbFunction;
    private javax.swing.JButton cmdNext;
    private javax.swing.JButton cmdPrev;
    private javax.swing.JButton cmdReset;
    private javax.swing.JButton cmdStart;
    private javax.swing.JLabel head;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel37;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel39;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JLayeredPane jLayeredPane2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lblCO;
    private javax.swing.JLabel lblDec;
    private javax.swing.JLabel lblLogic;
    private javax.swing.JLabel lblLogic1;
    private javax.swing.JLabel lblNumAlu;
    private javax.swing.JLabel lblNumAlu2;
    private javax.swing.JLabel lblNumAlu3;
    private javax.swing.JLabel lblOther;
    private javax.swing.JLabel lblOut;
    private javax.swing.JLabel lblSum;
    private javax.swing.JTextField txtA;
    private javax.swing.JTextField txtB;
    // End of variables declaration//GEN-END:variables
}